ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rajesh Koilpillai (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-533) What version of python is needed for ambari to compile
Date Thu, 07 Jun 2012 08:11:23 GMT
Rajesh Koilpillai created AMBARI-533:
----------------------------------------

             Summary: What version of python is needed for ambari to compile
                 Key: AMBARI-533
                 URL: https://issues.apache.org/jira/browse/AMBARI-533
             Project: Ambari
          Issue Type: Improvement
          Components: build
         Environment: Ubuntu 11
            Reporter: Rajesh Koilpillai
            Priority: Trivial


The compilation fails with the following error, it would be nice if the python requirement
is documented / enforced as a pre-requisite check.

[INFO] Reading assembly descriptor: src/packages/tarball/all.xml
[INFO] Copying files to /home/user21/work/os/apache/ambari/agent/target/ambari-agent-0.1.0
[WARNING] Assembly file: /home/user21/work/os/apache/ambari/agent/target/ambari-agent-0.1.0
is not a regular file (it may be a directory). It cannot be attached to the project build
for installation or deployment.
[INFO] 
[INFO] --- exec-maven-plugin:1.2:exec (python-package) @ ambari-agent ---
Traceback (most recent call last):
  File "/home/user21/work/os/apache/ambari/agent/src/main/python/setup.py", line 16, in <module>
    from setuptools import setup
ImportError: No module named setuptools
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] agent ............................................. FAILURE [50.235s]
[INFO] ambari ............................................ SKIPPED
[INFO] client ............................................ SKIPPED
[INFO] controller ........................................ SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 56.047s
[INFO] Finished at: Thu Jun 07 13:17:56 IST 2012
[INFO] Final Memory: 5M/50M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.2:exec (python-package)
on project ambari-agent: Command execution failed. Process exited with an error: 1(Exit value:
1) -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following
articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message